package org.jeecg.common.bestpay.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author java996.icu
 * @title: TransferBatchesRequest
 * @projectName chemu
 * @description: TODO
 * @date 2022/11/21 15:25
 * @Version V1.0
 */
@Data
public class TransferBatchesRequest {

    private String appid;
    /**
     * 商家批次单号
     * 商户系统内部的商家批次单号，要求此参数只能由数字、大小写字母组成，在商户系统内部唯一
     */
    @JSONField(name = "out_batch_no")
    private String outBatchNo;
    /**
     * 批次名称
     */
    @JSONField(name = "batch_name")
    private String batchName;
    /**
     * 批次备注
     * 转账说明，UTF8编码，最多允许32个字符
     */
    @JSONField(name = "batch_remark")
    private String batchRemark;
    /**
     * 转账总金额
     * 转账金额单位为“分”。转账总金额必须与批次内所有明细转账金额之和保持一致，否则无法发起转账操作
     */
    @JSONField(name = "total_amount")
    private Integer totalAmount;
    /**
     * 转账总笔数
     * 一个转账批次单最多发起三千笔转账。转账总笔数必须与批次内所有明细之和保持一致，否则无法发起转账操作
     */
    @JSONField(name = "total_num")
    private Integer totalNum;

}
