package org.jeecg.common.bestpay.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author java996.icu
 * @title: TransferDetailListRequest
 * @projectName chemu
 * @description: TODO
 * @date 2022/11/21 15:28
 * @Version V1.0
 */
@Data
public class TransferDetailListRequest {

    /**
     * 商家明细单号
     * 商户系统内部区分转账批次单下不同转账明细单的唯一标识，要求此参数只能由数字、大小写字母组成
     * 示例值：x23zy545Bd5436
     */
    @JSONField(name = "out_detail_no")
    private String outDetailNo;
    /**
     * 转账金额
     * 转账金额单位为分
     * 示例值：200000
     */
    @JSONField(name = "transfer_amount")
    private Integer transferAmount;
    /**
     * 转账备注
     * 单条转账备注（微信用户会收到该备注），UTF8编码，最多允许32个字符
     * 示例值：2020年4月报销
     */
    @JSONField(name = "transfer_remark")
    private String transferRemark;
    private String openid;
    /**
     * 收款用户姓名
     * 1、明细转账金额 >= 2,000元，收款用户姓名必填；
     * 2、同一批次转账明细中，收款用户姓名字段需全部填写、或全部不填写；
     * 3、 若传入收款用户姓名，微信支付会校验用户openID与姓名是否一致，并提供电子回单；
     * 4、收款方姓名。采用标准RSA算法，公钥由微信侧提供
     * 5、该字段需进行加密处理，加密方法详见敏感信息加密说明。(提醒：必须在HTTP头中上送Wechatpay-Serial)
     * 6、商户需确保收集用户的姓名信息，以及向微信支付传输用户姓名和账号标识信息做一致性校验已合法征得用户授权
     */
    @JSONField(name = "user_name")
    private String userName;

}
