package org.jeecg.common.bestpay.pay;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: gongxun
 * @BelongsPackage: com.gongxunyoupin.bestpay.pay
 * @Author: lzx
 * @CreateTime: 2019-01-08 18:23
 * @Description: ${Description}
 */
@Data
@Slf4j
@Component
@ConfigurationProperties(prefix = "wechat")
public class WeChatAccountConfig {

//  # mpAppId: wx64b391bea557b619
//  # mpAppSecret: 4e2338d140c310e79d03f6484fd9fa14
//    mchId: 1606399984
//    mchKey: GVIP1008611ABCDEFGGGGJKHLOSJFLGK
//    keyPath: /usr/local/cert/apiclient_cert.p12
//    notifyUrl: https://api.chemu90.com/xcx/pay/notify
//    notifyVipUrl: https://api.chemu90.com/xcx/pay/vipNotify
//    advanceNotifyUrl: https://api.chemu90.com/xcx/advanceOrder/advanceNotify

    @Value("${wechat.mpAppId}")
    private String mpAppId;
    @Value("${wechat.mpAppSecret}")
    private String mpAppSecret;
    @Value("${wechat.mchId}")
    private String mchId;
    @Value("${wechat.mchKey}")
    private String mchKey;
    @Value("${wechat.keyPath}")
    private String keyPath;
    @Value("${wechat.notifyUrl}")
    private String notifyUrl;
    /**
     * API 证书中的 key.pem
     */
    @Value("${wechat.keyPemPath}")
    private String keyPemPath;

    /**
     * 商户序列号
     */
    @Value("${wechat.serialNo}")
    private String serialNo;

    /**
     * 微信支付V3-url前缀
     */
    @Value("${wechat.baseUrl}")
    private String baseUrl;
    /**
     * APIv3密钥
     */
    @Value("${wechat.apiV3Key}")
    private String apiV3Key;

}
