package org.jeecg.modules.rechargeInfoLog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: tb_recharge_info_log
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("tb_recharge_info_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_recharge_info_log对象", description="tb_recharge_info_log")
public class TbRechargeInfoLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private java.lang.String title;
	/**金额*/
	@Excel(name = "金额", width = 15)
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal money;
	/**用户原本金额*/
	@Excel(name = "用户原本金额", width = 15)
    @ApiModelProperty(value = "用户原本金额")
    private java.math.BigDecimal userMoney;
	/**是否支付 0否 1是*/
	@Excel(name = "是否支付 0否 1是", width = 15)
    @ApiModelProperty(value = "是否支付 0否 1是")
    private java.lang.Integer isPay;
	/**备注说明*/
	@Excel(name = "备注说明", width = 15)
    @ApiModelProperty(value = "备注说明")
    private java.lang.String info;
	/**支付时间*/
	@Excel(name = "支付时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "支付时间")
    private java.util.Date payTime;
	/**用户Id*/
	@Excel(name = "用户Id", width = 15)
    @ApiModelProperty(value = "用户Id")
    private java.lang.String memberId;
	/**微信支付返回流水*/
	@Excel(name = "微信支付返回流水", width = 15)
    @ApiModelProperty(value = "微信支付返回流水")
    private java.lang.String wxCode;
	/**微信支付返回信息*/
	@Excel(name = "微信支付返回信息", width = 15)
    @ApiModelProperty(value = "微信支付返回信息")
    private java.lang.String wxInfo;
	/**充值挡位id*/
	@Excel(name = "充值挡位id", width = 15)
    @ApiModelProperty(value = "充值挡位id")
    private java.lang.String rechargeId;
	/**类型 0支出  1支入*/
	@Excel(name = "类型 0支出  1支入", width = 15, dicCode = "rec_type")
	@Dict(dicCode = "rec_type")
    @ApiModelProperty(value = "类型 0支出  1支入")
    private java.lang.Integer type;
	/**订单id*/
	@Excel(name = "订单id", width = 15)
    @ApiModelProperty(value = "订单id")
    private java.lang.String orderId;
	/**服务费*/
	@Excel(name = "服务费", width = 15)
    @ApiModelProperty(value = "服务费")
    private java.math.BigDecimal serviceCharge;
	/**退款订单号*/
	@Excel(name = "退款订单号", width = 15)
    @ApiModelProperty(value = "退款订单号")
    private java.lang.String refundRechargeId;
	/**提现审核 0未审核 1已审核 2已打款 3审核未通过*/
	@Excel(name = "提现审核 0未审核 1已审核 2已打款 3审核未通过", width = 15, dicCode = "rec_state")
	@Dict(dicCode = "rec_state")
    @ApiModelProperty(value = "提现审核 0未审核 1已审核 2已打款 3审核未通过")
    private java.lang.Integer state;
	/**商家批次单号*/
	@Excel(name = "商家批次单号", width = 15)
    @ApiModelProperty(value = "商家批次单号")
    private java.lang.String outBatchNo;
	/**真实姓名*/
	@Excel(name = "真实姓名", width = 15)
    @ApiModelProperty(value = "真实姓名")
    private java.lang.String realName;
	/**微信批次单号*/
	@Excel(name = "微信批次单号", width = 15)
    @ApiModelProperty(value = "微信批次单号")
    private java.lang.String batchId;
	/**员工id*/
	@Excel(name = "员工id", width = 15)
    @ApiModelProperty(value = "员工id")
    private java.lang.String staffMemberId;
	/**审核说明*/
	@Excel(name = "审核说明", width = 15)
    @ApiModelProperty(value = "审核说明")
    private java.lang.String checkInfo;
	/**提现id*/
	@Excel(name = "提现id", width = 15)
    @ApiModelProperty(value = "提现id")
    private java.lang.String withdrawalId;
	/**是否删除 0否 1是*/
	@Excel(name = "是否删除 0否 1是", width = 15)
    @ApiModelProperty(value = "是否删除 0否 1是")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
}
