package org.jeecg.modules.tbOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: tb_order
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("tb_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_order对象", description="tb_order")
public class TbOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**工人id*/
	@Excel(name = "工人id", width = 15)
    @ApiModelProperty(value = "工人id")
    private java.lang.String workId;
	/**老板id*/
	@Excel(name = "老板id", width = 15)
    @ApiModelProperty(value = "老板id")
    private java.lang.String bossId;
	/**老板名*/
	@Excel(name = "老板名", width = 15)
    @ApiModelProperty(value = "老板名")
    private java.lang.String userName;
	/**工人名*/
	@Excel(name = "工人名", width = 15)
    @ApiModelProperty(value = "工人名")
    private java.lang.String workName;
	/**工作标题*/
	@Excel(name = "工作标题", width = 15)
    @ApiModelProperty(value = "工作标题")
    private java.lang.String title;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private java.lang.String companyName;
	/**工人出发地址*/
	@Excel(name = "工人出发地址", width = 15)
    @ApiModelProperty(value = "工人出发地址")
    private java.lang.String workerAddress;
	/**出行方式 0出租车 1 网约车 2 公交地铁 3无*/
	@Excel(name = "出行方式 0出租车 1 网约车 2 公交地铁 3无", width = 15, dicCode = "travel_type")
	@Dict(dicCode = "travel_type")
    @ApiModelProperty(value = "出行方式 0出租车 1 网约车 2 公交地铁 3无")
    private java.lang.Integer travelType;
	/**上班地址*/
	@Excel(name = "上班地址", width = 15)
    @ApiModelProperty(value = "上班地址")
    private java.lang.String workAddress;
	/**上班地址经度*/
	@Excel(name = "上班地址经度", width = 15)
    @ApiModelProperty(value = "上班地址经度")
    private java.lang.String latitude;
	/**上班地址纬度*/
	@Excel(name = "上班地址纬度", width = 15)
    @ApiModelProperty(value = "上班地址纬度")
    private java.lang.String longitude;
	/**行业/工种*/
	@Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private java.lang.String industryName;
	/**行业/工种id*/
	@Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private java.lang.String industryId;
	/**工人个人简介*/
	@Excel(name = "工人个人简介", width = 15)
    @ApiModelProperty(value = "工人个人简介")
    private java.lang.String detail;
	/**工作内容*/
	@Excel(name = "工作内容", width = 15)
    @ApiModelProperty(value = "工作内容")
    private java.lang.String workDetail;
	/**图片上传*/
	@Excel(name = "图片上传", width = 15)
    @ApiModelProperty(value = "图片上传")
    private java.lang.String workPic;
	/**工人联系方式*/
	@Excel(name = "工人联系方式", width = 15)
    @ApiModelProperty(value = "工人联系方式")
    private java.lang.String phone;
	/**招聘方联系方式*/
	@Excel(name = "招聘方联系方式", width = 15)
    @ApiModelProperty(value = "招聘方联系方式")
    private java.lang.String bossPhone;
	/**年龄*/
	@Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private java.lang.Integer age;
	/**性别*/
	@Excel(name = "性别", width = 15, dicCode = "sex")
	@Dict(dicCode = "sex")
    @ApiModelProperty(value = "性别")
    private java.lang.Integer gender;
	/**时间范围*/
	@Excel(name = "时间范围", width = 15)
    @ApiModelProperty(value = "时间范围")
    private java.util.Date startTime;
	/**时间范围*/
	@Excel(name = "时间范围", width = 15)
    @ApiModelProperty(value = "时间范围")
    private java.util.Date endTime;
	/**支付时间*/
	@Excel(name = "支付时间", width = 15)
    @ApiModelProperty(value = "支付时间")
    private java.util.Date payTime;
	/**工作时长*/
	@Excel(name = "工作时长", width = 15)
    @ApiModelProperty(value = "工作时长")
    private java.lang.String workTime;
	/**订单状态 0待聘用 1 已接单 2 进行中 3试工完成 4 企业确认 5已支付 6已完成 7已取消*/
	@Excel(name = "订单状态 0待聘用 1 已接单 2 进行中 3试工完成 4 企业确认 5已支付 6已完成 7已取消", width = 15, dicCode = "order_status")
	@Dict(dicCode = "order_status")
    @ApiModelProperty(value = "订单状态 0待聘用 1 已接单 2 进行中 3试工完成 4 企业确认 5已支付 6已完成 7已取消 8发起支付")
    private java.lang.Integer orderStatus;
	/**结算方式 0提前支付 1 试用后支付*/
	@Excel(name = "结算方式 0提前支付 1 试用后支付", width = 15, dicCode = "pay_type")
	@Dict(dicCode = "pay_type")
    @ApiModelProperty(value = "结算方式 0提前支付 1 试用后支付")
    private java.lang.Integer payType;
	/**付款金额（元）、*/
	@Excel(name = "付款金额（元）、", width = 15)
    @ApiModelProperty(value = "付款金额（元）、")
    private java.math.BigDecimal payMoney;
	/**支付方式 0微信支付 1 余额支付*/
	@Excel(name = "支付方式 0微信支付 1 余额支付", width = 15, dicCode = "money_type")
	@Dict(dicCode = "money_type")
    @ApiModelProperty(value = "支付方式 0微信支付 1 余额支付")
    private java.lang.Integer moneyType;
	/**保险费（元）、*/
	@Excel(name = "保险费（元）、", width = 15)
    @ApiModelProperty(value = "保险费（元）、")
    private java.math.BigDecimal premium;
	/**保险账单id*/
	@Excel(name = "保险账单id", width = 15)
    @ApiModelProperty(value = "保险账单id")
    private java.lang.String premiumId;
	/**交通费用金额（元）、*/
	@Excel(name = "交通费用金额（元）、", width = 15)
    @ApiModelProperty(value = "交通费用金额（元）、")
    private java.math.BigDecimal travelMoney;
	/**试工费用金额（元）、*/
	@Excel(name = "试工费用金额（元）、", width = 15)
    @ApiModelProperty(value = "试工费用金额（元）、")
    private java.math.BigDecimal workMoney;
	/**总金额（元）、*/
	@Excel(name = "总金额（元）、", width = 15)
    @ApiModelProperty(value = "总金额（元）、")
    private java.math.BigDecimal amount;
	/**平台手续费（元）、*/
	@Excel(name = "平台手续费（元）、", width = 15)
    @ApiModelProperty(value = "平台手续费（元）、")
    private java.math.BigDecimal rateMoney;
	/**平台手续费率）、*/
	@Excel(name = "平台手续费率）、", width = 15)
    @ApiModelProperty(value = "平台手续费率）、")
    private java.math.BigDecimal rate;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
}
