import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '老板名',
    align:"center",
    dataIndex: 'userName'
   },
   {
    title: '工人名',
    align:"center",
    dataIndex: 'workName'
   },
   {
    title: '工作标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '公司名称',
    align:"center",
    dataIndex: 'companyName'
   },
   {
    title: '工人出发地址',
    align:"center",
    dataIndex: 'workerAddress'
   },
   {
    title: '出行方式 0出租车 1 网约车 2 公交地铁 3无',
    align:"center",
    dataIndex: 'travelType_dictText'
   },
   {
    title: '上班地址',
    align:"center",
    dataIndex: 'workAddress'
   },
   {
    title: '行业/工种',
    align:"center",
    dataIndex: 'industryName'
   },
   {
    title: '图片上传',
    align:"center",
    dataIndex: 'workPic',
    customRender:render.renderAvatar,
   },
   {
    title: '工人联系方式',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '招聘方联系方式',
    align:"center",
    dataIndex: 'bossPhone'
   },
   {
    title: '年龄',
    align:"center",
    dataIndex: 'age'
   },
   {
    title: '性别',
    align:"center",
    dataIndex: 'gender_dictText'
   },
   {
    title: '时间范围',
    align:"center",
    dataIndex: 'startTime'
   },
   {
    title: '时间范围',
    align:"center",
    dataIndex: 'endTime'
   },
   {
    title: '支付时间',
    align:"center",
    dataIndex: 'payTime'
   },
   {
    title: '工作时长',
    align:"center",
    dataIndex: 'workTime'
   },
   {
    title: '订单状态 0待聘用 1 已接单 2 进行中 3试工完成 4 企业确认 5已支付 6已完成 7已取消',
    align:"center",
    dataIndex: 'orderStatus_dictText'
   },
   {
    title: '结算方式 0提前支付 1 试用后支付',
    align:"center",
    dataIndex: 'payType_dictText'
   },
   {
    title: '付款金额（元）、',
    align:"center",
    dataIndex: 'payMoney'
   },
   {
    title: '支付方式 0微信支付 1 余额支付',
    align:"center",
    dataIndex: 'moneyType_dictText'
   },
   {
    title: '保险费（元）、',
    align:"center",
    dataIndex: 'premium'
   },
   {
    title: '交通费用金额（元）、',
    align:"center",
    dataIndex: 'travelMoney'
   },
   {
    title: '试工费用金额（元）、',
    align:"center",
    dataIndex: 'workMoney'
   },
   {
    title: '总金额（元）、',
    align:"center",
    dataIndex: 'amount'
   },
   {
    title: '平台手续费（元）、',
    align:"center",
    dataIndex: 'rateMoney'
   },
   {
    title: '平台手续费率）、',
    align:"center",
    dataIndex: 'rate'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "老板名",
      field: "userName",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "工人名",
      field: "workName",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "工人联系方式",
      field: "phone",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "招聘方联系方式",
      field: "bossPhone",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "订单状态 0待聘用 1 已接单 2 进行中 3试工完成 4 企业确认 5已支付 6已完成 7已取消",
      field: "orderStatus",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"order_status"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '老板名',
    field: 'userName',
    component: 'Input',
  },
  {
    label: '工人名',
    field: 'workName',
    component: 'Input',
  },
  {
    label: '工作标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '公司名称',
    field: 'companyName',
    component: 'Input',
  },
  {
    label: '工人出发地址',
    field: 'workerAddress',
    component: 'Input',
  },
  {
    label: '出行方式 0出租车 1 网约车 2 公交地铁 3无',
    field: 'travelType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"travel_type"
     },
  },
  {
    label: '上班地址',
    field: 'workAddress',
    component: 'Input',
  },
  {
    label: '行业/工种',
    field: 'industryName',
    component: 'Input',
  },
  {
    label: '工人个人简介',
    field: 'detail',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '工作内容',
    field: 'workDetail',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '图片上传',
    field: 'workPic',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '工人联系方式',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '招聘方联系方式',
    field: 'bossPhone',
    component: 'Input',
  },
  {
    label: '年龄',
    field: 'age',
    component: 'InputNumber',
  },
  {
    label: '性别',
    field: 'gender',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"sex"
     },
  },
  {
    label: '时间范围',
    field: 'startTime',
    component: 'Input',
  },
  {
    label: '时间范围',
    field: 'endTime',
    component: 'Input',
  },
  {
    label: '支付时间',
    field: 'payTime',
    component: 'Input',
  },
  {
    label: '工作时长',
    field: 'workTime',
    component: 'Input',
  },
  {
    label: '订单状态 0待聘用 1 已接单 2 进行中 3试工完成 4 企业确认 5已支付 6已完成 7已取消',
    field: 'orderStatus',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"order_status"
     },
  },
  {
    label: '结算方式 0提前支付 1 试用后支付',
    field: 'payType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"pay_type"
     },
  },
  {
    label: '付款金额（元）、',
    field: 'payMoney',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入付款金额（元）、!'},
          ];
     },
  },
  {
    label: '支付方式 0微信支付 1 余额支付',
    field: 'moneyType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"money_type"
     },
  },
  {
    label: '保险费（元）、',
    field: 'premium',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入保险费（元）、!'},
          ];
     },
  },
  {
    label: '交通费用金额（元）、',
    field: 'travelMoney',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入交通费用金额（元）、!'},
          ];
     },
  },
  {
    label: '试工费用金额（元）、',
    field: 'workMoney',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入试工费用金额（元）、!'},
          ];
     },
  },
  {
    label: '总金额（元）、',
    field: 'amount',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入总金额（元）、!'},
          ];
     },
  },
  {
    label: '平台手续费（元）、',
    field: 'rateMoney',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入平台手续费（元）、!'},
          ];
     },
  },
  {
    label: '平台手续费率）、',
    field: 'rate',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入平台手续费率）、!'},
          ];
     },
  },
];
