package org.jeecg.modules.tbTask.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: tb_task
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("tb_task")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_task对象", description="tb_task")
public class TbTask implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private java.lang.String userId;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private java.lang.String userName;
	/**工人名*/
	@Excel(name = "工人名", width = 15)
    @ApiModelProperty(value = "工人名")
    private java.lang.String workName;
	/**头像图片*/
	@Excel(name = "头像图片", width = 15)
    @ApiModelProperty(value = "头像图片")
    private java.lang.String headPic;
	/**工作标题*/
	@Excel(name = "工作标题", width = 15)
    @ApiModelProperty(value = "工作标题")
    private java.lang.String title;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private java.lang.String companyName;
	/**工人出发地址*/
	@Excel(name = "工人出发地址", width = 15)
    @ApiModelProperty(value = "工人出发地址")
    private java.lang.String workerAddress;
	/**出行方式 0出租车 1 网约车 2 公交地铁 3无*/
	@Excel(name = "出行方式 0出租车 1 网约车 2 公交地铁 3无", width = 15, dicCode = "travel_type")
	@Dict(dicCode = "travel_type")
    @ApiModelProperty(value = "出行方式 0出租车 1 网约车 2 公交地铁 3无")
    private java.lang.Integer travelType;
	/**上班地址*/
	@Excel(name = "上班地址", width = 15)
    @ApiModelProperty(value = "上班地址")
    private java.lang.String workAddress;
	/**上班地址经度*/
	@Excel(name = "上班地址经度", width = 15)
    @ApiModelProperty(value = "上班地址经度")
    private java.lang.String latitude;
	/**上班地址纬度*/
	@Excel(name = "上班地址纬度", width = 15)
    @ApiModelProperty(value = "上班地址纬度")
    private java.lang.String longitude;
	/**行业/工种*/
	@Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private java.lang.String industryName;
	/**行业/工种id*/
	@Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private java.lang.String industryId;
	/**工人个人简介*/
	@Excel(name = "工人个人简介", width = 15)
    @ApiModelProperty(value = "工人个人简介")
    private java.lang.String detail;
	/**工作内容*/
	@Excel(name = "工作内容", width = 15)
    @ApiModelProperty(value = "工作内容")
    private java.lang.String workDetail;
	/**图片上传*/
	@Excel(name = "图片上传", width = 15)
    @ApiModelProperty(value = "图片上传")
    private java.lang.String workPic;
	/**工人联系方式*/
	@Excel(name = "工人联系方式", width = 15)
    @ApiModelProperty(value = "工人联系方式")
    private java.lang.String phone;
	/**招聘方联系方式*/
	@Excel(name = "招聘方联系方式", width = 15)
    @ApiModelProperty(value = "招聘方联系方式")
    private java.lang.String bossPhone;
	/**角色 0招聘方 1 求职方*/
	@Excel(name = "角色 0招聘方 1 求职方", width = 15, dicCode = "user_role")
	@Dict(dicCode = "user_role")
    @ApiModelProperty(value = "角色 0招聘方 1 求职方")
    private java.lang.Integer role;
	/**年龄*/
	@Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private java.lang.Integer age;
	/**性别*/
	@Excel(name = "性别", width = 15, dicCode = "sex")
	@Dict(dicCode = "sex")
    @ApiModelProperty(value = "性别")
    private java.lang.Integer gender;
	/**期望日薪*/
	@Excel(name = "期望日薪", width = 15)
    @ApiModelProperty(value = "期望日薪")
    private java.lang.Integer dayMoney;
	/**时间范围*/
	@Excel(name = "时间范围", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间范围")
    private java.util.Date startTime;
	/**时间范围*/
	@Excel(name = "时间范围", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间范围")
    private java.util.Date endTime;
	/**工作时长*/
	@Excel(name = "工作时长", width = 15)
    @ApiModelProperty(value = "工作时长")
    private java.lang.String workTime;
	/**期望薪资最小值*/
	@Excel(name = "期望薪资最小值", width = 15)
    @ApiModelProperty(value = "期望薪资最小值")
    private java.lang.Integer moneymin;
	/**期望薪资最大值*/
	@Excel(name = "期望薪资最大值", width = 15)
    @ApiModelProperty(value = "期望薪资最大值")
    private java.lang.Integer moneymax;
	/**审核状态 0审核中 1 审核通过 2审核未通过*/
	@Excel(name = "审核状态 0审核中 1 审核通过 2审核未通过", width = 15, dicCode = "audit_status")
	@Dict(dicCode = "audit_status")
    @ApiModelProperty(value = "审核状态 0审核中 1 审核通过 2审核未通过")
    private java.lang.Integer auditStatus;
	/**结算方式 0提前支付 1 试用后支付*/
	@Excel(name = "结算方式 0提前支付 1 试用后支付", width = 15, dicCode = "pay_type")
	@Dict(dicCode = "pay_type")
    @ApiModelProperty(value = "结算方式 0提前支付 1 试用后支付")
    private java.lang.Integer payType;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
}
