package org.jeecg.modules.postBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 角色表
 * @Author: jeecg-boot
 * @Date:   2024-10-16
 * @Version: V1.0
 */
@Data
@ApiModel(value="招聘方填写资料", description="招聘方填写资料")
public class ReqUserRole implements Serializable {
    private static final long serialVersionUID = 1L;


    /**用户名*/
    @Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private java.lang.String userName;
    /**公司名称*/
    @Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private java.lang.String companyName;
    /**地址*/
    @Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private java.lang.String companyAddress;
    /**行业/工种*/
    @Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private java.lang.String industryName;
    /**行业/工种id*/
    @Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private java.lang.String industryId;
    /**身份证上传*/
    @Excel(name = "身份证上传", width = 15)
    @ApiModelProperty(value = "身份证上传")
    private java.lang.String idCard;
    /**电话*/
    @Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private java.lang.String phone;
    /**角色*/
    @Excel(name = "角色", width = 15, dicCode = "user_role")
    @Dict(dicCode = "user_role")
    @ApiModelProperty(value = "角色  用人方企业 1  用人方个人 0  ")
    private java.lang.Integer role;
    /**营业执照上传*/
    @Excel(name = "营业执照上传", width = 15)
    @ApiModelProperty(value = "营业执照上传")
    private java.lang.String businessLicense;

}
