package org.jeecg.modules.postBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 角色表
 * @Author: jeecg-boot
 * @Date:   2024-10-16
 * @Version: V1.0
 */
@Data
@ApiModel(value="求职者注册", description="求职者注册")
public class ReqUserRole2 implements Serializable {
    private static final long serialVersionUID = 1L;

    /**用户名*/
    @Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private String userName;
    /**地址*/
    @Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private String address;
    /**行业/工种*/
    @Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private String industryName;
    /**行业/工种id*/
    @Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private String industryId;
    /**个人简介*/
    @Excel(name = "个人简介", width = 15)
    @ApiModelProperty(value = "个人简介")
    private String detail;
    /**身份证上传*/
    @Excel(name = "身份证上传", width = 15)
    @ApiModelProperty(value = "身份证上传")
    private String idCard;
    /**电话*/
    @Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private String phone;
    /**年龄*/
    @Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private Integer age;
    /**性别*/
    @Excel(name = "性别", width = 15, dicCode = "sex")
    @Dict(dicCode = "sex")
    @ApiModelProperty(value = "性别")
    private Integer gender;
    /**期望薪资最小值*/
    @Excel(name = "期望薪资最小值", width = 15)
    @ApiModelProperty(value = "期望薪资最小值")
    private Integer moneyMin;
    /**期望薪资最大值*/
    @Excel(name = "期望薪资最大值", width = 15)
    @ApiModelProperty(value = "期望薪资最大值")
    private Integer moneyMax;


}
