package org.jeecg.modules.userCode.model.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: tb_task
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("tb_task")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_task对象", description="tb_task")
public class TaskReq2 implements Serializable {
    private static final long serialVersionUID = 1L;



	/**工人出发地址*/
	@Excel(name = "工人出发地址", width = 15)
    @ApiModelProperty(value = "工人出发地址")
    private String workerAddress;
	/**出行方式 0出租车 1 网约车 2 公交地铁 3无*/
	@Excel(name = "出行方式 0出租车 1 网约车 2 公交地铁 3无", width = 15, dicCode = "travel_type")
	@Dict(dicCode = "travel_type")
    @ApiModelProperty(value = "出行方式 0出租车 1 网约车 2 公交地铁 3无")
    private Integer travelType;
	/**上班地址经度*/
	@Excel(name = "上班地址经度", width = 15)
    @ApiModelProperty(value = "地址经度")
    private String latitude;
	/**上班地址纬度*/
	@Excel(name = "上班地址纬度", width = 15)
    @ApiModelProperty(value = "地址纬度")
    private String longitude;
	/**行业/工种*/
	@Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private String industryName;
	/**行业/工种id*/
	@Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private String industryId;

	/**工作内容*/
	@Excel(name = "工作内容", width = 15)
    @ApiModelProperty(value = "工作内容")
    private String workDetail;


	/**期望日薪*/
	@Excel(name = "期望日薪", width = 15)
    @ApiModelProperty(value = "期望日薪")
    private Integer dayMoney;

	/**期望薪资最小值*/
	@Excel(name = "期望薪资最小值", width = 15)
    @ApiModelProperty(value = "期望薪资最小值")
    private Integer moneymin;
	/**期望薪资最大值*/
	@Excel(name = "期望薪资最大值", width = 15)
    @ApiModelProperty(value = "期望薪资最大值")
    private Integer moneymax;

	/**结算方式 0提前支付 1 试用后支付*/
	@Excel(name = "结算方式 0提前支付 1 试用后支付", width = 15, dicCode = "pay_type")
	@Dict(dicCode = "pay_type")
    @ApiModelProperty(value = "结算方式 0提前支付 1 试用后支付")
    private Integer payType;

}
