package org.jeecg.modules.userCode.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: tb_task
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("tb_task")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_task对象", description="tb_task")
public class TbTaskVo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private String userId;
	/**工作标题*/
	@Excel(name = "工作标题", width = 15)
    @ApiModelProperty(value = "工作标题")
    private String title;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private String companyName;
	/**上班地址*/
	@Excel(name = "上班地址", width = 15)
    @ApiModelProperty(value = "上班地址")
    private String workAddress;
	/**行业/工种*/
	@Excel(name = "行业/工种", width = 15)
    @ApiModelProperty(value = "行业/工种")
    private String industryName;
	/**行业/工种id*/
	@Excel(name = "行业/工种id", width = 15)
    @ApiModelProperty(value = "行业/工种id")
    private String industryId;
	/**招聘方联系方式*/
	@Excel(name = "招聘方联系方式", width = 15)
    @ApiModelProperty(value = "招聘方联系方式")
    private String bossPhone;
	/**时间范围*/
	@Excel(name = "时间范围", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间范围")
    private Date startTime;
	/**时间范围*/
	@Excel(name = "时间范围", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间范围")
    private Date endTime;
	/**工作时长*/
	@Excel(name = "工作时长", width = 15)
    @ApiModelProperty(value = "工作时长")
    private String workTime;
	/**期望薪资最小值*/
	@Excel(name = "期望薪资最小值", width = 15)
    @ApiModelProperty(value = "期望薪资最小值")
    private Integer moneymin;
	/**期望薪资最大值*/
	@Excel(name = "期望薪资最大值", width = 15)
    @ApiModelProperty(value = "期望薪资最大值")
    private Integer moneymax;
	/**结算方式 0提前支付 1 试用后支付*/
	@Excel(name = "结算方式 0提前支付 1 试用后支付", width = 15, dicCode = "pay_type")
	@Dict(dicCode = "pay_type")
    @ApiModelProperty(value = "结算方式 0提前支付 1 试用后支付")
    private Integer payType;
    @ApiModelProperty(value = "距离（米）")
    @TableField(exist = false)
    private String distances;
}
